@use "../custom" as *;
@use "../components/mixins" as *;

.menu {
  background-color: rgb(0, 0, 0, 0.5);

  padding: 1rem;
  padding-left: 7rem;
  padding-right: 7rem;
  position: fixed;
  @media only screen and (min-width: 280px) {
    padding-left: 1rem;
    padding-right: 1rem;
  }
  @media only screen and (min-width: 360px) {
    padding-left: 1rem;
    padding-right: 1rem;
  }
  @media only screen and (min-width: 375px) {
    padding-top: 1.5rem;
    padding-left: 1rem;
    padding-right: 1rem;
  }
  @media only screen and (min-width: 534px) {
    padding-top: 2rem;
    padding-left: 1rem;
    padding-right: 1rem;
  }
  @media only screen and (min-width: 540px) {
    padding-top: 1rem;
    padding-left: 3rem;
    padding-right: 3rem;
  }
  @media only screen and (min-width: 768px) {
    padding-top: 2rem;
    padding-left: 4rem;
    padding-right: 4rem;
  }
  @media only screen and (min-width: 820px) {
    padding-left: 4rem;
    padding-right: 4rem;
  }
  @media only screen and (min-width: 1000px) {
    padding-left: 7rem;
    padding-right: 7rem;
  }

  // text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
  img {
    height: 3.2rem;

    @media only screen and (max-width: 280px) {
      display: none;
    }
    @media only screen and (min-width: 375px) {
      height: 2.6rem;
    }
  }

  .nav-item > a {
    font-family: "Archivo Black", sans-serif;
    font-size: 1.1rem;
    margin-right: 2rem;
    color: white !important;
    letter-spacing: 1px;

    @media only screen and (max-width: 884px) {
      text-align: center;
    }

    &:hover {
      background-color: rgba(255, 68, 131, 0.5);
      display: block;
      transition: 0.8s;
      transform: scale(1.1);
    }
  }

  .dropdown-item {
    font-family: "Archivo Black", sans-serif;
    font-size: 1.2rem;
    &:hover {
      transition: 1s;
      background-color: rgb(216, 112, 147, 0.5);
    }
  }
}
